[youtubei.js](../../../README.md) / [Parser](../README.md) / parseResponse

# Function: parseResponse()

> **parseResponse**\<`T`\>(`data`): `T`

Parses a given InnerTube response.

## Type Parameters

• **T** *extends* [`IParsedResponse`](../../APIResponseTypes/interfaces/IParsedResponse.md) = [`IParsedResponse`](../../APIResponseTypes/interfaces/IParsedResponse.md)

## Parameters

• **data**: [`IRawResponse`](../../APIResponseTypes/interfaces/IRawResponse.md)

Raw data.

## Returns

`T`

## Defined in

[src/parser/parser.ts:228](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/parser.ts#L228)
